Package csb :: Package bio :: Package fragments :: Class RosettaFragsetFactory

[frames] | no frames]

# Class RosettaFragsetFactory

source code

    object --+
             |
            RosettaFragsetFactory

Simplifies the construction of fragment libraries.

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

RosettaFragmentMap

make_chopped(self, fragments, window) Build a fixed-length fragment library from a list of variable-length Assignments. | source code

RosettaFragmentMap

make_combined(self, target, filling, threshold=0.5, callback=None) Complement `target`'s assignments with `filling` (e.g. | source code

RosettaFragmentMap

make_filtered(self, target, extend=False, callback=None) Builed a filtered fragment library (by clustering), containing only representative fragments (cluster centroids). | source code

RosettaFragmentMap

make_fragset(self, target) Build a fragment library given a Target and its Assignments. | source code

RosettaFragmentMap

mix(self, *fragsets) Mix fragments from multiple libraries. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### make_chopped(self, fragments, window)

source code

Build a fixed-length fragment library from a list of variable-length Assignments.

Parameters:
  - `fragments` (iterable of RosettaFragments) - source fragments
  - `window` (int) - fixed-length fragment size (for classic Rosetta: choose 9)
Returns: RosettaFragmentMap
  fixed-length fragment library

### make_combined(self, target, filling, threshold=0.5, callback=None)

source code

Complement `target`'s assignments with `filling` (e.g. rosetta fragments). The regions to be complemented are determined by calculating the confidence at each residue (by filtering).

Parameters:
  - `target` (Target) - target protein
  - `filling` (RosettaFragmentMap or iterable of RosettaFragment) - additional fragments to place in the low-conf regions
  - `threshold` (float) - confidence threshold
Returns: RosettaFragmentMap
  complemented fragment library

### make_filtered(self, target, extend=False, callback=None)

source code

Builed a filtered fragment library (by clustering), containing only representative fragments (cluster centroids).

Parameters:
  - `target` (Target) - target protein
  - `extend` (bool) - if True, pick alternative reps if available
Returns: RosettaFragmentMap
  filtered fragment library

### make_fragset(self, target)

source code

Build a fragment library given a Target and its Assignments.

Parameters:
  - `target` (Target) - target protein
Returns: RosettaFragmentMap

### mix(self, *fragsets)

source code

Mix fragments from multiple libraries.

Parameters:
  - `fragsets` (RosettaFragmentMap)
Returns: RosettaFragmentMap
  mixed fragment library